begin
  require 'log4r'
rescue LoadError
  require 'rubygems'
  require_gem 'log4r'
end
include Log4r

# logging for server

$logpath = "./logs"

slog = Logger.new('bf::client')
nlog = Logger.new('bf::session')
alog = Logger.new('bf::client::animation')

fo = FileOutputter.new(
  'serverlog', 
  :filename=> File.join($logpath, "client.log"), 
  :trunc=>false
)
fo = Outputter.stdout
slog.add fo
nlog.add fo
alog.add fo

slog.level = FATAL
nlog.level = FATAL
alog.level = FATAL
