# transform classes to xml

class Board
  def to_xml
    buff = ""
    buff += "<board rows='#{@rows}' cols='#{@cols}'>\n"
    buff += "  <theme>#{@theme_name}</theme>\n"
    buff += "  <author>#{@author}</author>\n"
    for square in @squares
      buff += square.to_xml
    end
    buff += "</board>\n"
    buff
  end
end

class Sides
  def to_xml
    to_s.split(//).join(", ")
  end
end

# TODO: fix up
class Square
  def to_xml
    buff = ""
    if has_walls?
      buff += "  <square walls='#{@walls.to_xml}'>\n" 
    else
      buff += "  <square>\n" 
    end
    buff += @floor.to_xml
    for e in @elements
      buff += e.to_xml
    end
    buff += "  </square>\n"
    buff
  end
end

class Element
  def to_xml; "" end
end

class Pit
  def to_xml
    "    <pit/>\n"
  end
end

class Conveyor
  def to_xml
    buff = ""
    buff+="    <conveyor speed='#{@speed}' direction='#{@direction}'>\n"
    buff+="      <turns>#{@turns.join(", ")}</turns>\n"
    buff+="    </conveyor>\n"
    buff
  end
end

class LaserSource
  def to_xml
    "    <laser direction='#{@direction}' number='#{@number}'/>\n"
  end
end
