class Robot
  def key; "img_robot#{@clientid}"+(virtual? ? "_virtual" : "") end
  def init_sdl(surf)
    imgreal = $game.load_image(key)
    imgvirtual = $game.load_image(key)
    $game.images["img_robot#{@clientid}"] = imgreal
    $game.images["img_robot#{@clientid}_virtual"] = imgvirtual
  end
  def draw(surf)
    img = $game.images[key]
    size = $game.theme['square_size']
    y, x = @row * size + size/2.0, @col * size + size/2.0
    case @facing
    when N then rotate_rel(img, surf, 0, x, y)
    when E then rotate_rel(img, surf, 90, x, y)
    when S then rotate_rel(img, surf, 180, x, y)
    when W then rotate_rel(img, surf, 270, x, y)
    end
  end
  def rotate_rel(src, dest, angle, x, y)
    SDL.transformBlit(src, dest, angle, 1.0, 1.0, src.w/2.0, src.h/2.0, x, y, 0)
  end

end
