begin
  require 'log4r'
rescue LoadError
  require 'rubygems'
  require_gem 'log4r'
end
include Log4r

# logging for server

$logpath = "./logs"

slog = Logger.new('bf::server')
nlog = Logger.new('bf::session')

fo = FileOutputter.new(
  'serverlog', 
  :filename=> File.join($logpath, "server.log"), 
  :trunc=>false
)
slog.add Outputter.stdout
nlog.add Outputter.stdout

slog.level = OFF
nlog.level = OFF
