require 'sdl'

require 'bf/definitions'
require 'bf/facing'
require 'bf/elements/include'
require 'bf/elements/sdl/include'
require 'bf/factory'
require 'bf/robots/include'
require 'bf/robots/sdl/robot'
require 'bf/games/sdl/card'

require 'bf/state/clientstate'
require 'bf/games/standalone'
require 'bf/client/gameclient'

require 'gui/app'
require 'ui/animations/animate'
require 'ui/boardview'
require 'ui/statusbox'
require 'ui/cardbutton'
require 'ui/registerwidget'
# require 'ui/clientui'
require 'ui/standaloneui'  # swap w/ above
require 'ui/commands'
require 'ui/actions'
