# we draw the game robot here on a plain tile and the damage it has taken
class StatusBox < Widget
  def initialize(hash={})
    hash[:w] = 50*3 + Button::PAD * 6
    hash[:h] = 64
    super(hash)
  end
  # call this when the game robots are assigned
  def update
    @name = Label.new(:size=>12, :label=> $game.robot.name, :x=>64, :y=>5)
    @damage = Label.new(:size=>12, :label=>"Damage: 0", :x=>64, :y=>5+14+5)
    @surface = SDL::Surface.new(Defs::Gfx::SDLFLAGS, @w, @h, @@root_surface)
    add @name, @damage
    @name.init_sdl
    @damage.init_sdl
    $game.robot.init_sdl(@surface)
    @surface.put($game.images[$game.robot.key], 0, 0)
    def draw(*args)
      super(*args)
    end
    dirty
  end
  def draw(*args)
  end
end
