class Conveyor

  def init_sdl(surf)
    @image_key = key
    return if $game.images[@image_key]
    # determine which image to load
    str = @turns.join
    img = $game.load_image("img_conveyor#{@speed}_#{str}")
    if @direction != Facing.n
      case @direction
      when E then angle = 90
      when S then angle = 180
      when W then angle = 270
      end
      rotate(img, img, angle)
    end
    $game.images[@image_key] = img
  end

end
