class Card
  def key; to_s end

  def init_sdl(surf)
    @image_key = key
    return if $game.images[@image_key]

    strarr = @name.split('_')
    image = $game.load_image("img_card_#{strarr[0]}")
    color = [255,255,255]
    if strarr[0] == "fwd"
      font = $game.load_font('font_bold', 24)
      tw, th = font.text_size(strarr[1])
      dx = ((image.w - tw)/2.0).to_i
      dy = ((image.h - th)/2.0).to_i + 5
      font.drawSolidUTF8(image, strarr[1], dx, dy, *color)
    end
    font = $game.load_font('font', 10)
    tw, th = font.text_size(@priority.to_s)
    dx = ((image.w - tw)/2.0).to_i
    font.drawSolidUTF8(image, @priority.to_s, dx, 2, *color)

    $game.images[@image_key] = image
  end

  def draw(surf, x, y)
    surf.put($game.images[@image_key], x, y)
  end
end
