ACTIONS = %w{
    UNDEFINED PAUSE MOVE ROTATE PUSH PITDEATH LASERFIRE REXPLODE
    NOTHING REVIVE FALLOFF CRUSH BOARDLASERS
}

# used for constructing state snapshots for animation purposes
# server only, client gets a copy
class Snapshot
  attr_accessor :action, :subjects, :game_robots
  def initialize(action)
    @action = action
    @game_robots = $game.game_robots.collect {|r| r.copy}
  end
  #def changed?; @changed end
  def to_s
    "<Action=#{ACTIONS[@action]},"+(@game_robots.map{|r| r.to_s}.join(","))+">"
  end
  def copy
    s = clone
    s.game_robots = @game_robots.collect{|r| r.copy}
    s
  end
  alias inspect to_s
end
