# window that can't be repositioned
class FixedWindow < Widget
  BORDERW = 2
  BORDERC = 0x0000FF00
  TITLEC = 0x00006600
  PAD = 4

  def initialize(hash)
    super(hash)
    @title = (hash[:title] or @label)
  end

  def init_sdl
    @font = $game.load_font('font_bold', 18)
    @surface = create_surface(@w, @h)
    draw_border(@surface, BORDERC, BORDERW)
    # title
    fw, @fonth = @font.text_size(@title)
    fx = (@w - fw)/2 + PAD + BORDERW
    fy = PAD + BORDERW
    @surface.fill_rect(BORDERW, BORDERW, @w-2*BORDERW, @fonth+PAD*2, TITLEC)
    @surface.fill_rect(0, @fonth + PAD*2 + BORDERW, @w, BORDERW, BORDERC)
    @font.drawSolidUTF8(@surface, @title, fx, fy, 255,255,255)

    # push the children down
    for kid in @children
      kid.y += 3*PAD + 2*BORDERW + @fonth
      kid.x += PAD + BORDERW
    end
  end
end
